Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.teleal.cling.support.renderingcontrol.event
Class VolumeDB

    java.lang.Object
      org.teleal.cling.support.renderingcontrol.event.VolumeDB

    public class VolumeDB

extends Object

Java class for anonymous complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType>
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <attribute name="val" use="required" type="{http://www.w3.org/2001/XMLSchema}integer" />
           <attribute name="channel" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
         </restriction>
       </complexContent>
     </complexType>

Field Summary
`protected String` | `channel`
`protected BigInteger` | `val`

Constructor Summary
`VolumeDB()`

Method Summary
`String` | `getChannel()` Gets the value of the channel property.
`BigInteger` | `getVal()` Gets the value of the val property.
`void` | `setChannel(String value)` Sets the value of the channel property.
`void` | `setVal(BigInteger value)` Sets the value of the val property.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### val

    protected BigInteger val

### channel

    protected String channel

Constructor Detail

### VolumeDB

    public VolumeDB()

Method Detail

### getVal

    public BigInteger getVal()

  Gets the value of the val property.

  Returns:
    possible object is `BigInteger`

### setVal

    public void setVal(BigInteger value)

  Sets the value of the val property.

  Parameters:
    `value` - allowed object is `BigInteger`

### getChannel

    public String getChannel()

  Gets the value of the channel property.

  Returns:
    possible object is `String`

### setChannel

    public void setChannel(String value)

  Sets the value of the channel property.

  Parameters:
    `value` - allowed object is `String`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 Teleal GmbH, Switzerland. All Rights Reserved.